
<?php
include_once("../php/config.php");


$sql_venta = mysql_query("select * from ventas where id_venta='".$_GET['id_venta']."'") or die(mysql_error());
$moneda = @mysql_result($sql_venta,0,'moneda');
$id_venta = @mysql_result($sql_venta,0,'id_venta');
$producto = @mysql_result($sql_venta,0,'producto');
$acomulado = @mysql_result($sql_venta,0,'pagado_pesos');
$sql_tasas = mysql_query("select * from tasas2 where moneda='".$moneda."'") or die(mysql_error());


$tasa_compra_gourde = @mysql_result($sql_venta,0,'tasa_compra');
$tasa_venta_gourde = @mysql_result($sql_venta,0,'tasa_venta');


if($moneda=="DOLAR"){ 
	$apesos  = round(@mysql_result($sql_venta,0,'balance') * @mysql_result($sql_venta,0,'tasa_venta'),2); 
$tasa = @mysql_result($sql_venta,0,'tasa_venta');
$tasa_venta_dolar = @mysql_result($sql_venta,0,'tasa_venta');
$tasa_compra_dolar = @mysql_result($sql_venta,0,'tasa_compra');
}

$inversion = @mysql_result($sql_venta,0,'inversion');
$pagado = @mysql_result($sql_venta,0,'pagado');
$pagado_pesos = @mysql_result($sql_venta,0,'pagado_pesos');
$pago_pesos = $_POST['pesos'];
$pago = $_POST['enmoneda'];
$empago = $_POST['enmoneda'];

$moneda_pago = 0;
if($_POST["pesos"]>0){
	$moneda_pago = "PESOS";
}else{
	$moneda_pago = $moneda;
}



if($_POST["pesos"]>0){




	
		/////$ganancia = $g * $tasa_venta_gourde;
		$g = $pago_pesos / $tasa_venta_gourde;
		$g2 = $pago_pesos / $tasa_compra_gourde;
		
		$g = $g - $g2;
		
$pago = $_POST["pesos"];


}


$ipago = $pago_pesos + $pago;
$usuario = $_COOKIE["usuario"];
$cliente = @mysql_result($sql_venta,0,'cliente');
			$concepto = "Pago de factura #:".$id_venta.", recibido de  ".$cliente.", Producto:<b>".$producto."</b>, Moneda Origen: ".$moneda." en ".$hoy." a las ".$hora." aplicado por ".$_COOKIE["usuario"];

				if($ipago>0){
				mysql_query("insert into ingresos set monto='$pago', moneda='$moneda_pago',
				tipo='Credito', cliente='$cliente',
				monto_pesos='".$_POST['pesos']."',
				 monto_moneda_origen='$empago',
				 tasa_venta='$tasa_venta_gourde',
				 fecha='$hoy', hora='$hora', concepto='$concepto', 
				usuario = '".$_COOKIE['usuario']."', ganancia='$g'") or die(mysql_error());

				    $rslast = mysql_query("SELECT id FROM ingresos  WHERE fecha='$hoy' and usuario='".$_COOKIE['usuario']."' ORDER BY id DESC LIMIT 1") or die(mysql_error());
					 $ultimo =   @mysql_result($rslast, 0, "id"); 


				
				

					mysql_query("update ventas set balance = balance - '".$empago."',
					pagado = pagado + '".$empago."',
					pagado_pesos = pagado_pesos + '".$pago_pesos."'
					 where id_venta = '".$_POST['id_venta']."'") or die(mysql_error());
					 
					 
					
					 
					 mysql_query("insert into pagos_credito set folio='".$_POST['folio']."',
					 secuencia = '".$ultimo."',
					 cliente='".$_POST['cliente']."',
					 usuario='".$_POST['usuario']."',
					 monto='".$pago."',
					 monto_pesos='".$_POST['pesos']."',
					 tasa_venta='$tasa_venta_gourde',
					 moneda='$moneda_pago',
					 monto_moneda_origen='$empago',
					 id_factura ='$id_venta',
					 fecha='$hoy',
					 hora='$hora'
					 ") or die(mysql_error());
				
					echo "<script>window.open('../pos/recibo_ingreso.php?id=$ultimo','_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');</script>";
					echo "<script>window.location.href='creditos.php'</script>";
				
				}
				
				
	include_once("../header.php");
	?>


<style>
  .form-control{
    @font-size: 20px;
  }


.col-md-2{
    @font-size: 15px;
	@font-weight:bolder;
  }

  td{
    font-size:18px;
  }

  th{
     font-size:18px;
  }
  .container-fluid{
	  background:#f1f1f1l;
  }
</style>
  <div class="container">
<div class="row">

	<div class="col-md-5 col-md-offset-3">
		  <div class="panel panel-default">
			<div class="panel-heading"><b><i class="fa fas  fa-lg fa-hand-holding-usd"></i> Abono a factura</b></div>
			<div class="panel-body">
			<form action="" method="POST" id="frm1" onSubmit="$('.btn').prop('disabled',true)">
			<input type="hidden" readonly id="caja" name="caja">
<input type="hidden" readonly id="usuario" name="usuario">
				<div class="row">
					<div class="col-md-2">Numero:</div>
					<div class="col-md-3"><input type="text" readonly id="id_venta" name="id_venta" class="form-control" value="<?php echo @mysql_result($sql_venta,0,'id_venta')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Cliente:</div>
					<div class="col-md-10 text-primary"><input type="text" readonly name="cliente" class="form-control" value="<?php echo @mysql_result($sql_venta,0,'cliente')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Monto Credito:</div>
					<div class="col-md-10"><input type="text" name="monto" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'total')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Moneda:</div>
					<div class="col-md-10"><input type="text" id="moneda" name="moneda" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'moneda')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Abonado:</div>
					<div class="col-md-10"><input type="text" readonly 
					class="form-control" name="abonado" value="<?php echo @mysql_result($sql_venta,0,'pagado')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2"><b><u>BALANCE:</u></b></div>
					<div class="col-md-10"><input type="text" id="balance" name="balance" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'balance')?>"></div>
				</div>
				<hr>
				<div class="row mt-2">
					<div class="col-md-2"><b><u>T. Compra:</u></b></div>
					<div class="col-md-3"><input readonly type="text" id="tasa" name="tasa"  class="form-control" value="<?php echo $tasa_compra_gourde?>"></div>

						<div class="col-md-1" ><b><u>T. venta:</u></b></div>
					<div class="col-md-4"><input readony type="text" id="apesos" name="apesos" readonly class="form-control" value="<?php echo $tasa_venta_gourde?>"></div>

					<div class="col-md-1" style="display:none;"><b><u>Pesos:</u></b></div>
					<div class="col-md-4" style="display:none;><input readony type="text" id="apesos" name="apesos" readonly class="form-control" value="<?php echo $apesos?>"></div>
					
				</div>
				
				<hr>
				<center><b class="text-rojo">Seleccione el tipo de pago</b></center><br>
				<div class="row mt-2">
					
					<div class="col-md-3"><b class="text-primary">PESOS RECIBIDOS:</b><br><input id="pesos" onKeyUp="calculo_pesos()" name="pesos" type="text"  class="form-control"></div>

					
					<div class="col-md-6"><b class="text-danger"><?php echo $moneda?> A REBAJAR DEL BALANCE:</b><br><input onKeyPress="$('#pesos').val('')"  <?php if($moneda=='PESOS'){echo 'readonly';}?> id="enmoneda" name="enmoneda" type="text"  class="form-control" onBlur='calculo_pesos()'></div>
					
				</div>
				
			
				
				
				<div class="row mt-2">
					<div class="col-md-12"><button class="btn btn-rojo" name="btnAplicar"><b><i class="fa fas fa-coins"></i> Aplicar pago</b></button>
					 <a class="btn btn-default" href="creditos.php?cliente=<?php echo $cliente?>"><i class="fa fas fas fa-share-square"></i> Salir</a> </div>
					 <br>
					 <span class="text-danger" id="msg"></span>
				</div>
				</form>
			</div>
		 </div>
	</div>
</div>

</div>



        	<script>
					$("#usuario").val(myUser)
					$("#caja").val(myCaja)
					function cxc(){
						
						var cliente = $("#clientes").val();
                        var usuario = $("#usuario").val();
                        var termino = $("#termino").val();
                        var estado = $("#estado").val();
                      
                      
                        var fecha1 = $("#fecha1").val();
                        var fecha2 = $("#fecha2").val();
                        
                        var param="";
                        param="cliente="+cliente;
                        param+="&usuario="+usuario;
						param+="&termino="+termino;
						param+="&estado="+estado;
                        param+="&fecha1="+fecha1;
                        param+="&fecha2="+fecha2;
						
						
						
					  window.open('rptCxc.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

					}
					
					
	if(myLevel=="Supervisor"){
		$(".nav").hide();
	}	
	
	
function calculo_pesos(){
	var pesos  = $("#pesos").val();
	var moneda  = $("#moneda").val();
	var tasa  = $("#tasa").val();
	
	var res = 0;

	if(moneda=="DOLAR"){
	 res = pesos / tasa;
	}

	if(moneda=="GOURDE"){
	 res = pesos * tasa;
	}

	if(moneda=="PESOS"){
	 res = pesos;
	 $("#enmoneda").val(res);
	}
   
if(pesos>0){
	$("#enmoneda").val(res.toFixed(2));
}


}



                </script>
				
	<?php include_once '../footer.php';?>
